## Name

gl_NumSamples — contains the total number of samples in the framebuffer

## Declaration

`in bool gl_NumSamples ;`

## Description

`gl_NumSamples` is a fragment language input variable that contains the number of samples in the framebuffer, or 1 if rendering to a non-multisample framebuffer. `gl_NumSamples` is the sample count of the framebuffer regardless of whether multisample rasterization is enabled or not.

## Version Support

| OpenGL Shading Language Version
--- | ---
Variable Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
gl_NumSamples | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

gl_SamplePosition, gl_SampleID

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.